[arch-commits] Commit in idris/repos/community-x86_64 (PKGBUILD PKGBUILD)

Felix Yan felixonmars at archlinux.org
Sun May 27 16:28:27 UTC 2018


    Date: Sunday, May 27, 2018 @ 16:28:26
  Author: felixonmars
Revision: 331920

archrelease: copy trunk to community-x86_64

Added:
  idris/repos/community-x86_64/PKGBUILD
    (from rev 331919, idris/trunk/PKGBUILD)
Deleted:
  idris/repos/community-x86_64/PKGBUILD

----------+
 PKGBUILD |  124 ++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 61 insertions(+), 63 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2018-05-27 16:27:58 UTC (rev 331919)
+++ PKGBUILD	2018-05-27 16:28:26 UTC (rev 331920)
@@ -1,63 +0,0 @@
-# $Id$
-# Maintainer: Felix Yan <felixonmars at archlinux.org>
-# Contributor: Arch Haskell Team <arch-haskell at haskell.org>
-
-pkgname=idris
-pkgver=1.2.0.20180517
-_commit=88f5c717d8702698dc3c46f32bc4def1a70e6476
-pkgrel=6
-pkgdesc="Functional Programming Language with Dependent Types"
-url="http://www.idris-lang.org/"
-license=("custom:BSD3")
-arch=('x86_64')
-depends=('ghc-libs' 'haskell-aeson' 'haskell-annotated-wl-pprint' 'haskell-ansi-terminal'
-         'haskell-ansi-wl-pprint' 'haskell-async' 'haskell-base64-bytestring' 'haskell-blaze-html'
-         'haskell-blaze-markup' 'haskell-cheapskate' 'haskell-code-page' 'haskell-fingertree'
-         'haskell-fsnotify' 'haskell-ieee754' 'haskell-libffi' 'haskell-megaparsec'
-         'haskell-network' 'haskell-optparse-applicative' 'haskell-regex-tdfa' 'haskell-safe'
-         'haskell-split' 'haskell-terminal-size' 'haskell-uniplate' 'haskell-unordered-containers'
-         'haskell-utf8-string' 'haskell-vector' 'haskell-vector-binary-instances'
-         'haskell-zip-archive')
-makedepends=('ghc' 'haskell-tagged' 'haskell-tasty' 'haskell-tasty-golden' 'haskell-tasty-rerun'
-             'nodejs')
-source=("$pkgname-$_commit.tar.gz::https://github.com/idris-lang/Idris-dev/archive/$_commit.tar.gz")
-sha512sums=('ea6cf76b3af6cb6db9ce266b1934bb8c8ad5848498d14bb4dbfff9038acd55315ebc638e83277eb9aa3b637d7ed2fbecebddf023e5d370baf2c3501ada66aa89')
-
-prepare() {
-    mv Idris-dev-{$_commit,$pkgver}
-    cd Idris-dev-$pkgver
-
-    sed -i '1ioverride IDRIS := env LD_PRELOAD=$(shell ls ../../dist/build/libHSidris-*-ghc*.so) $(IDRIS)' \
-        libs/*/Makefile
-    sed -i 's/<.*1.3/<2/' idris.cabal
-}
-
-build() {
-    cd Idris-dev-$pkgver
-
-    runhaskell Setup configure -O --enable-shared --enable-executable-dynamic --disable-library-vanilla \
-        --prefix=/usr --docdir="/usr/share/doc/${pkgname}" --datasubdir="$pkgname" --enable-tests \
-        --dynlibdir=/usr/lib --libsubdir=\$compiler/site-local/\$pkgid \
-            -fFFI -fGMP -f-release -f-freestanding -f-CI -f-execonly
-    LC_CTYPE=en_US.UTF-8 runhaskell Setup build
-    runhaskell Setup register --gen-script
-    runhaskell Setup unregister --gen-script
-    sed -i -r -e "s|ghc-pkg.*update[^ ]* |&'--force' |" register.sh
-    sed -i -r -e "s|ghc-pkg.*unregister[^ ]* |&'--force' |" unregister.sh
-}
-
-check() {
-    cd Idris-dev-$pkgver
-    # TODO: figure out the tests
-    PATH="$PWD/dist/build:$PATH" LD_LIBRARY_PATH="$PWD/dist/build" runhaskell Setup test || warning "Tests failed"
-}
-
-package() {
-    cd Idris-dev-$pkgver
-
-    install -D -m744 register.sh   "${pkgdir}/usr/share/haskell/register/${pkgname}.sh"
-    install -D -m744 unregister.sh "${pkgdir}/usr/share/haskell/unregister/${pkgname}.sh"
-    runhaskell Setup copy --destdir="${pkgdir}"
-    install -D -m644 "LICENSE" "${pkgdir}/usr/share/licenses/${pkgname}/LICENSE"
-    rm -f "${pkgdir}/usr/share/doc/${pkgname}/LICENSE"
-}

Copied: idris/repos/community-x86_64/PKGBUILD (from rev 331919, idris/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2018-05-27 16:28:26 UTC (rev 331920)
@@ -0,0 +1,61 @@
+# $Id$
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+# Contributor: Arch Haskell Team <arch-haskell at haskell.org>
+
+pkgname=idris
+pkgver=1.3.0
+pkgrel=1
+pkgdesc="Functional Programming Language with Dependent Types"
+url="http://www.idris-lang.org/"
+license=("custom:BSD3")
+arch=('x86_64')
+depends=('ghc-libs' 'haskell-aeson' 'haskell-annotated-wl-pprint' 'haskell-ansi-terminal'
+         'haskell-ansi-wl-pprint' 'haskell-async' 'haskell-base64-bytestring' 'haskell-blaze-html'
+         'haskell-blaze-markup' 'haskell-cheapskate' 'haskell-code-page' 'haskell-fingertree'
+         'haskell-fsnotify' 'haskell-ieee754' 'haskell-libffi' 'haskell-megaparsec'
+         'haskell-network' 'haskell-optparse-applicative' 'haskell-regex-tdfa' 'haskell-safe'
+         'haskell-split' 'haskell-terminal-size' 'haskell-uniplate' 'haskell-unordered-containers'
+         'haskell-utf8-string' 'haskell-vector' 'haskell-vector-binary-instances'
+         'haskell-zip-archive')
+makedepends=('ghc' 'haskell-tagged' 'haskell-tasty' 'haskell-tasty-golden' 'haskell-tasty-rerun'
+             'nodejs')
+source=("$pkgname-$pkgver.tar.gz::https://github.com/idris-lang/Idris-dev/archive/v$pkgver.tar.gz")
+sha512sums=('d015d643e0c121702c8e1a8a27db0a4f071fae35437bb4835314e70499b1eae123ab92d8272f0b91fae6d03b46cceee887e27935c950341c0905a4cdb43cbb84')
+
+prepare() {
+    cd Idris-dev-$pkgver
+
+    sed -i '1ioverride IDRIS := env LD_PRELOAD=$(shell ls ../../dist/build/libHSidris-*-ghc*.so) $(IDRIS)' \
+        libs/*/Makefile
+    sed -i 's/<.*1.3/<2/' idris.cabal
+}
+
+build() {
+    cd Idris-dev-$pkgver
+
+    runhaskell Setup configure -O --enable-shared --enable-executable-dynamic --disable-library-vanilla \
+        --prefix=/usr --docdir="/usr/share/doc/${pkgname}" --datasubdir="$pkgname" --enable-tests \
+        --dynlibdir=/usr/lib --libsubdir=\$compiler/site-local/\$pkgid \
+            -fFFI -fGMP -f-release -f-freestanding -f-CI -f-execonly
+    LC_CTYPE=en_US.UTF-8 runhaskell Setup build
+    runhaskell Setup register --gen-script
+    runhaskell Setup unregister --gen-script
+    sed -i -r -e "s|ghc-pkg.*update[^ ]* |&'--force' |" register.sh
+    sed -i -r -e "s|ghc-pkg.*unregister[^ ]* |&'--force' |" unregister.sh
+}
+
+check() {
+    cd Idris-dev-$pkgver
+    # TODO: figure out the tests
+    PATH="$PWD/dist/build:$PATH" LD_LIBRARY_PATH="$PWD/dist/build" runhaskell Setup test || warning "Tests failed"
+}
+
+package() {
+    cd Idris-dev-$pkgver
+
+    install -D -m744 register.sh   "${pkgdir}/usr/share/haskell/register/${pkgname}.sh"
+    install -D -m744 unregister.sh "${pkgdir}/usr/share/haskell/unregister/${pkgname}.sh"
+    runhaskell Setup copy --destdir="${pkgdir}"
+    install -D -m644 "LICENSE" "${pkgdir}/usr/share/licenses/${pkgname}/LICENSE"
+    rm -f "${pkgdir}/usr/share/doc/${pkgname}/LICENSE"
+}



More information about the arch-commits mailing list